commit:     da5ba53fc2e8a42046c34fc3c05285db6fcf899e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  7 18:05:05 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Sep  7 18:14:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da5ba53f

dev-python/GitPython: Bump to 3.1.35

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/GitPython/GitPython-3.1.35.ebuild | 84 ++++++++++++++++++++++++++++
 dev-python/GitPython/Manifest                |  2 +
 2 files changed, 86 insertions(+)

diff --git a/dev-python/GitPython/GitPython-3.1.35.ebuild 
b/dev-python/GitPython/GitPython-3.1.35.ebuild
new file mode 100644
index 000000000000..cc252e9af748
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.35.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.10
+SMMAP_P=smmap-5.0.0_p1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+       https://github.com/gitpython-developers/GitPython/
+       https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+       test? (
+               https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+       )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       dev-vcs/git
+       >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       git config --global user.email "tra...@ci.com" || die
+       git config --global user.name "Travis Runner" || die
+
+       git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+       git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb || die
+       git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+       cd "${T}"/test || die
+       git rev-parse HEAD > .git/refs/remotes/origin/master || die
+       TRAVIS=1 ./init-tests-after-clone.sh || die
+       cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+       distutils-r1_src_test
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # performance tests are unreliable by design
+               test/performance
+               # unimpoortant and problematic
+               test/test_installation.py
+               # Internet
+               test/test_repo.py::TestRepo::test_leaking_password_in_clone_logs
+               test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+               # requires which(1)
+               # https://github.com/gitpython-developers/GitPython/pull/1525
+               test/test_git.py::TestGit::test_refresh
+               # TODO
+               test/test_submodule.py::TestSubmodule::test_base_rw
+               
test/test_submodule.py::TestSubmodule::test_git_submodules_and_add_sm_with_new_commit
+               
test/test_submodule.py::TestSubmodule::test_list_only_valid_submodules
+               test/test_submodule.py::TestSubmodule::test_root_module
+       )
+
+       epytest -o addopts= test
+}

diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index 51a9abc2b446..fb6036e55b92 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -4,5 +4,7 @@ DIST GitPython-3.1.33.gitbundle 9635126 BLAKE2B 
d851f8766f4d145b54de7b2593d84c90
 DIST GitPython-3.1.33.tar.gz 198466 BLAKE2B 
5e27cc92ba937f730ba746fa565b3a9a5b50ea3d4bec11cd2e484b0cf96db9a8f51f920d0788b6170750e48e2361ab0327017d445652aee4851396e83a57b0b3
 SHA512 
49001b55530966e90e1f8adeeb5e43d144b813d073deb01ceff0fd709f6a65e791e4971f6db9353da5fc84ba4a6bfe5c409f9229c85c9bd0497dc52e05f03707
 DIST GitPython-3.1.34.gitbundle 9638239 BLAKE2B 
e9bd820ac329928871a6341c9ed0fc8529bb99866ec9a2b10593113dcf8d859960f49b615de300275f0d16d56621852b659e565278ec591e93e5821514126a46
 SHA512 
c1a4f61a7632e83bad5f4ee59a1b5d3d3afd67506fe574cecc7cdf685eff1e61030a0eb11b75f7995f7c453b8e97516f03ef5b662ce75b3c8ff7e0ca15247449
 DIST GitPython-3.1.34.tar.gz 198460 BLAKE2B 
7045ce1cba39043564a6f89b99d11779327ffd9098178b7e80a32c6cf0ed2200fb2ddd4f16b9e09e190628c63acbc02afd2d42d20fd04c0df5018c3619e06d5e
 SHA512 
d0eee7e04bd542a8cad8312d95ef0cbf60964e4aec71e825003d792f9d6c7e20c9603b793f75a87f0fed223148f21b8fc51c98f47164440f2f243a1b81427b35
+DIST GitPython-3.1.35.gitbundle 9605813 BLAKE2B 
37eee9cbf4e1824b26f5cca987c82919dcf2d8fc131ce89a178a3bb2f2b56f249f23a9ae9ad09244ad80b043da6df817bed24418cfa07d7219049769034b5893
 SHA512 
d12a48df6ddba440fa02ad0903b5089154eb232264eccc1274c712989028e3c991506b9bf49259a535071bc1c84a0f38fb17f8e705dc482d55f5d1c883622238
+DIST GitPython-3.1.35.tar.gz 198670 BLAKE2B 
65700e88fc124043d1ca9cc896b8b7a2f84eeba38923a68d74a27ee684f8f3adbe1fc34044db71167b63c3069f34ec2d714a906ec476adbbec038ce65d7fdd6b
 SHA512 
5b749ffd0d1d47bf6be9f714e4faa2ca3b353da2eedfaf99d344bde030777f98a04ebe877eda98b1c8ab7c129238d855e6bf238d3a2433219faf0cd1695509bc
 DIST gitdb-4.0.10.gitbundle 1485461 BLAKE2B 
5a217c609a402cd7888da1502b25d217812503cd703cda8bce3c7159732c59d7f4bcd52688a5da457f43fde1645a6db79588a6fc8cc8dff5c58e9dcbaef79b9a
 SHA512 
98dba48f75e28eaded791f91c611e07bef73c28a7f8ac58889b05d04f4b3699a85a5be1c829ea3e2f380507a9009f35bc552bb4260564127e2863807f9b4712a
 DIST smmap-5.0.0_p1.gitbundle 324544 BLAKE2B 
69098c7644abaec7f32226cad7ff3008e49d94c9f7349d0b815223249c20bfd2b51a50474e51864821f30c98f5982e5c35ce9217145a1e5d11326492c41faecc
 SHA512 
4f36ca2c94ddfeb949c880fb52c3b1905d144dd59b95f2f05c93ed7b694dcb128218a2800ca23b721fbeff9a1920e8c3326675098e2ef0361ff6e90c8c2850ba

Reply via email to